Package pyplusplus :: Package function_transformers :: Module transformer :: Class transformer_t

# type transformer_t

source code

    object --+
             |
            transformer_t

Known Subclasses:
  - transformers.type_modifier_t
  - , transformers.inout_t
  - , transformers.input_c_buffer_t
  - , transformers.input_static_array_t
  - , transformers.output_static_array_t
  - , transformers.output_t

Base class for a function transformer.

Instance Methods

__init__(self, function) | source code

required_headers(self) Returns list of header files that transformer generated code depends on. | source code

get_argument(self, reference) returns reference to the desired argument | source code

get_type(self, reference) returns type of the desired argument or return type of the function | source code

configure_mem_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for non-virtual member function. | source code

configure_free_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for free function. | source code

configure_virtual_mem_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for virtual member function. | source code

Class Variables
| USE_1_BASED_INDEXING = `False`

Properties
| function reference to the function, for which a wrapper will be generated

Method Details

### __init__(self, function)
(Constructor)

source code

Parameters:
  - `function` - reference to function declaration
Overrides: object.__init__

### get_argument(self, reference)

source code

returns reference to the desired argument

Parameters:
  - `reference` - name( str ) or index( int ) of the argument

### get_type(self, reference)

source code

returns type of the desired argument or return type of the function

Parameters:
  - `reference` - name( str ) or index( int ) of the argument

### configure_mem_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for non-virtual member function.

Parameters:
  - `controller` - instance of mem_fun_controller_t class

### configure_free_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for free function.

Parameters:
  - `controller` - instance of free_fun_controller_t class

### configure_virtual_mem_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for virtual member function.

Parameters:
  - `controller` - instance of virtual_mem_fun_controller_t class

Property Details

### function

reference to the function, for which a wrapper will be generated